package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 一级场景
 * </p>
 *
 * @author wh
 * @since 2022-07-31
 */
@TableName("toilet")
@ApiModel(value="Toilet对象", description="一级场景")
public class Toilet extends Model<Toilet> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "代理商")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "区域id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "标签/备注")
    @TableField("labels")
    private String labels;

    @ApiModelProperty(value = "场景名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "0:男厕;1:女厕;2:母婴室;3:残障卫生间;4:第三卫生间;5:其他")
    @TableField("gender")
    private Integer gender;

    @ApiModelProperty(value = "已废弃")
    @TableField("hardware_count")
    private Integer hardwareCount;

    @ApiModelProperty(value = "已废弃")
    @TableField("address_id")
    private Long addressId;

    @ApiModelProperty(value = "状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "清洁时间")
    @TableField("cleaning_time")
    private Date cleaningTime;

    @ApiModelProperty(value = "长度")
    @TableField("length")
    private Long length;

    @ApiModelProperty(value = "宽度")
    @TableField("width")
    private Long width;

    @ApiModelProperty(value = "厕位数量")
    @TableField("latrines_count")
    private Integer latrinesCount;

    @ApiModelProperty(value = "厕所入口位置0:上;1:左上;2:左下;3:下")
    @TableField("gate_azimuth")
    private Integer gateAzimuth;

    @ApiModelProperty(value = "厕所编号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "0:厕位/混装;1:厕墙")
    @TableField("install_type")
    private Integer installType;

    @ApiModelProperty(value = "排序")
    @TableField("orderby")
    private Integer orderby;

    @ApiModelProperty(value = "是否安装空气检测器")
    @TableField("airdetector_flag")
    private Integer airdetectorFlag;

    @ApiModelProperty(value = "H5模板id")
    @TableField("h5_model_id")
    private Long h5ModelId;

    @ApiModelProperty(value = "布局类型")
    @TableField("layout_type")
    private Integer layoutType;

    @ApiModelProperty(value = "左厕位数量")
    @TableField("left_count")
    private Integer leftCount;

    @ApiModelProperty(value = "右厕位数量")
    @TableField("right_count")
    private Integer rightCount;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "楼层ID")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "N级网格ID")
    @TableField("multistage_grid_id")
    private Long multistageGridId;

    @ApiModelProperty(value = "N级网格名称")
    @TableField("multistage_grid_name")
    private String multistageGridName;

    @ApiModelProperty(value = "上级网格名称拼接")
    @TableField("superior_grid_name")
    private String superiorGridName;

    @ApiModelProperty(value = "品质等级0:A级;1:B级....")
    @TableField("quality_level")
    private Integer qualityLevel;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "启用状态(0:启用;1:停用)")
    @TableField("enable_status")
    private Integer enableStatus;

    @ApiModelProperty(value = "上级场景名称")
    @TableField("superior_scenes_name")
    private String superiorScenesName;

    @ApiModelProperty(value = "备注")
    @TableField("note")
    private String note;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "编辑人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "网格级别1:1级;2:2级.....")
    @TableField("grid_level")
    private Integer gridLevel;

    @ApiModelProperty(value = "所属楼座")
    @TableField("building_name")
    private String buildingName;

    @ApiModelProperty(value = "场景属性0:卫生间;1:电梯;99:其他")
    @TableField("scenes_type")
    private Integer scenesType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getHardwareCount() {
        return hardwareCount;
    }

    public void setHardwareCount(Integer hardwareCount) {
        this.hardwareCount = hardwareCount;
    }

    public Long getAddressId() {
        return addressId;
    }

    public void setAddressId(Long addressId) {
        this.addressId = addressId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCleaningTime() {
        return cleaningTime;
    }

    public void setCleaningTime(Date cleaningTime) {
        this.cleaningTime = cleaningTime;
    }

    public Long getLength() {
        return length;
    }

    public void setLength(Long length) {
        this.length = length;
    }

    public Long getWidth() {
        return width;
    }

    public void setWidth(Long width) {
        this.width = width;
    }

    public Integer getLatrinesCount() {
        return latrinesCount;
    }

    public void setLatrinesCount(Integer latrinesCount) {
        this.latrinesCount = latrinesCount;
    }

    public Integer getGateAzimuth() {
        return gateAzimuth;
    }

    public void setGateAzimuth(Integer gateAzimuth) {
        this.gateAzimuth = gateAzimuth;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Integer getInstallType() {
        return installType;
    }

    public void setInstallType(Integer installType) {
        this.installType = installType;
    }

    public Integer getOrderby() {
        return orderby;
    }

    public void setOrderby(Integer orderby) {
        this.orderby = orderby;
    }

    public Integer getAirdetectorFlag() {
        return airdetectorFlag;
    }

    public void setAirdetectorFlag(Integer airdetectorFlag) {
        this.airdetectorFlag = airdetectorFlag;
    }

    public Long geth5ModelId() {
        return h5ModelId;
    }

    public void seth5ModelId(Long h5ModelId) {
        this.h5ModelId = h5ModelId;
    }

    public Integer getLayoutType() {
        return layoutType;
    }

    public void setLayoutType(Integer layoutType) {
        this.layoutType = layoutType;
    }

    public Integer getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(Integer leftCount) {
        this.leftCount = leftCount;
    }

    public Integer getRightCount() {
        return rightCount;
    }

    public void setRightCount(Integer rightCount) {
        this.rightCount = rightCount;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getMultistageGridId() {
        return multistageGridId;
    }

    public void setMultistageGridId(Long multistageGridId) {
        this.multistageGridId = multistageGridId;
    }

    public String getMultistageGridName() {
        return multistageGridName;
    }

    public void setMultistageGridName(String multistageGridName) {
        this.multistageGridName = multistageGridName;
    }

    public String getSuperiorGridName() {
        return superiorGridName;
    }

    public void setSuperiorGridName(String superiorGridName) {
        this.superiorGridName = superiorGridName;
    }

    public Integer getQualityLevel() {
        return qualityLevel;
    }

    public void setQualityLevel(Integer qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Integer getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(Integer enableStatus) {
        this.enableStatus = enableStatus;
    }

    public String getSuperiorScenesName() {
        return superiorScenesName;
    }

    public void setSuperiorScenesName(String superiorScenesName) {
        this.superiorScenesName = superiorScenesName;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Integer getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(Integer gridLevel) {
        this.gridLevel = gridLevel;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Integer getScenesType() {
        return scenesType;
    }

    public void setScenesType(Integer scenesType) {
        this.scenesType = scenesType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Toilet{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", labels=" + labels +
        ", name=" + name +
        ", gender=" + gender +
        ", hardwareCount=" + hardwareCount +
        ", addressId=" + addressId +
        ", status=" + status +
        ", cleaningTime=" + cleaningTime +
        ", length=" + length +
        ", width=" + width +
        ", latrinesCount=" + latrinesCount +
        ", gateAzimuth=" + gateAzimuth +
        ", no=" + no +
        ", installType=" + installType +
        ", orderby=" + orderby +
        ", airdetectorFlag=" + airdetectorFlag +
        ", h5ModelId=" + h5ModelId +
        ", layoutType=" + layoutType +
        ", leftCount=" + leftCount +
        ", rightCount=" + rightCount +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", floorId=" + floorId +
        ", multistageGridId=" + multistageGridId +
        ", multistageGridName=" + multistageGridName +
        ", superiorGridName=" + superiorGridName +
        ", qualityLevel=" + qualityLevel +
        ", scenesLevel=" + scenesLevel +
        ", enableStatus=" + enableStatus +
        ", superiorScenesName=" + superiorScenesName +
        ", note=" + note +
        ", createName=" + createName +
        ", modifyName=" + modifyName +
        ", gridLevel=" + gridLevel +
        ", buildingName=" + buildingName +
        ", scenesType=" + scenesType +
        "}";
    }
}
